import request from "@/utils/request";

// 创建wms栈板
export function createPallet(data) {
    return request({
        url: "/rtkwms/pallet/create",
        method: "post",
        data: data,
    });
}

// 更新wms栈板
export function updatePallet(data) {
    return request({
        url: "/rtkwms/pallet/update",
        method: "put",
        data: data,
    });
}

// 删除wms栈板
export function deletePallet(id) {
    return request({
        url: "/rtkwms/pallet/delete?id=" + id,
        method: "delete",
    });
}

// 获得wms栈板
export function getPallet(id) {
    return request({
        url: "/rtkwms/pallet/get?id=" + id,
        method: "get",
    });
}

// 获得wms栈板分页
export function getPalletPage(query) {
    return request({
        url: "/rtkwms/pallet/page",
        method: "get",
        params: query,
    });
}

// 导出wms栈板 Excel
export function exportPalletExcel(query) {
    return request({
        url: "/rtkwms/pallet/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}